Skip to contentSkip to navigationSkip to topbar

Update a Memory Store


(information)

Legal information

Conversation Memory, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the Predictive and Generative AI/ML Features Addendum(link takes you to an external page). For more details on AI usage and data, see the AI Nutrition Facts.

Conversation Memory is not a HIPAA Eligible Service or PCI compliant and should not be enabled in workflows that are subject to HIPAA or PCI.

Conversation Memory is not intended for use with sensitive information about individuals. Twilio does not control what information comes from conversation channels and relies on you to ensure the data in customer profiles aligns with our acceptable use policy. Twilio does have limited guardrails in the form of a prompt exclusion that is designed to provide a minimal screening against inclusion of GDPR special category data(link takes you to an external page). As a reminder our profile technology uses generative artificial intelligence. Because generative artificial intelligence can make mistakes, review all outputs to ensure that the profile is correct.

Conversations products are only available in the new Twilio Console(link takes you to an external page). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

PATCH/v1/ControlPlane/Stores/{storeId}

Base url: https://memory.twilio.com (base url)

Partially update a Memory Store. Only the fields provided in the request body will be updated.


Request

patch-store-request page anchor

Authentication

authentication page anchor
Property nameTypeRequiredPIIDescription
if-Matchstring

Optional

Not PII

Allows for optimistic concurrency control by making the request conditional. Server will only act if the resource's current Entity Tag (ETag) matches the one provided, preventing accidental overwrites.

Example: "eyJpZCI6ImFuX2lkIiwidiI6MX0"Max length: 100
Property nameTypeRequiredPIIDescription
storeIdstring
required

A unique Memory Store ID using Twilio Type ID (TTID) format

Example: mem_store_00000000000000000000000000Pattern: ^mem_(store|service)_[0-7][0-9a-z]{25}$
Encoding type:application/json
Schema
Property nameTypeRequiredPIIDescriptionChild properties
displayNamestring

Optional

Provides a unique and addressable name to be assigned to this Store. This name is assigned by the developer and can be used in addition to the ID. It is intended to be human-readable and unique within the account.

Example: sandbox-updatedPattern: ^[a-zA-Z0-9-]+$

descriptionstring

Optional

A human readable description of this resource, up to 128 characters.

Example: Updated service for development and testingMin length: 1Max length: 128

202400404429500503

Memory Store update request accepted.

Schema
Property nameTypeRequiredPIIDescriptionChild properties
messagestring

Optional

Example: Memory Store update request accepted for processing.Max length: 512

statusUrlstring

Optional

URI to check operation status.

Max length: 512
Update a Memory StoreLink to code sample: Update a Memory Store
1
// Download the helper library from https://www.twilio.com/docs/node/install
2
const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";
3
4
// Find your Account SID and Auth Token at twilio.com/console
5
// and set the environment variables. See http://twil.io/secure
6
const accountSid = process.env.TWILIO_ACCOUNT_SID;
7
const authToken = process.env.TWILIO_AUTH_TOKEN;
8
const client = twilio(accountSid, authToken);
9
10
async function patchStore() {
11
const store = await client.memory.v1
12
.stores("mem_store_00000000000000000000000000")
13
.patch({
14
displayName: "sandbox-updated",
15
});
16
17
console.log(store.message);
18
}
19
20
patchStore();

Response

Note about this response
1
{
2
"message": "message",
3
"statusUrl": "statusUrl"
4
}